<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="digital.laboratory.platform.inspection.mapper.TestRecordSampledataExpandMapper">

    <resultMap id="BaseResultMap" type="digital.laboratory.platform.inspection.entity.TestRecordSampleDataExpand">
            <id property="id" column="exp_id" jdbcType="VARCHAR"/>
            <result property="testDataId" column="test_data_id" jdbcType="VARCHAR"/>
            <result property="peakArea" column="peak_area" jdbcType="DECIMAL"/>
            <result property="basePeak" column="base_peak" jdbcType="TINYINT"/>
            <result property="ionAbundanceRatio" column="ion_abundance_ratio" jdbcType="DECIMAL"/>
            <result property="ionAbundanceRatioError" column="ion_abundance_ratio_error" jdbcType="DECIMAL"/>
            <result property="ionAbundanceRatioWithinError" column="ion_abundance_ratio_within_error" jdbcType="VARCHAR"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        exp_id,test_data_id,peak_area,
        base_peak,ion_abundance_ratio,ion_abundance_ratio_error,
        ion_abundance_ratio_within_error,create_by,create_time,
        update_by,update_time
    </sql>
</mapper>
